Last Comment Bug 735879 - Add more delay to some browser chrome tests that often timeout
: Add more delay to some browser chrome tests that often timeout
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Marco Bonardo [::mak]
:
Mentors:
Depends on:
Blocks: 711157
  Show dependency treegraph
 
Reported: 2012-03-14 15:15 PDT by Marco Bonardo [::mak]
Modified: 2013-11-13 02:20 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1.0 (11.11 KB, patch)
2012-03-14 15:17 PDT, Marco Bonardo [::mak]
fryn: review+
Details | Diff | Review

Description Marco Bonardo [::mak] 2012-03-14 15:15:55 PDT
The about:home redesign in bug 711157 somehow ended up making a bunch of known oranges and timeouts more reproducible (like hitting at each run or such).
Using that fact I added some more breathing to some of these tests, allowing them to pass, most of those were on the timeout edge or hitting timing issues.
This patch helped moving from permaorange to green.
Comment 1 Marco Bonardo [::mak] 2012-03-14 15:17:25 PDT
Created attachment 605985 [details] [diff] [review]
patch v1.0
Comment 2 Frank Yan (:fryn) 2012-03-14 16:56:27 PDT
Pushed to fx-team:
https://hg.mozilla.org/integration/fx-team/rev/3e5ece41d748
Comment 3 Marco Bonardo [::mak] 2012-03-16 02:56:01 PDT
https://hg.mozilla.org/mozilla-central/rev/3e5ece41d748

Note You need to log in before you can comment on or make changes to this bug.